
Auto Multiple Choice - Bug # 370: séparateur décimal n'est pas utilisé dans toutes les colonnes

Status: Closed Priority: Normal
Author: Nicolas Richard Category:
Created: 06/18/2015 Assignee:
Updated: 01/06/2016 Due date:
Description: Dans mes tests d'exportation des notes, seule la colonne "Note" (finale) utilise le séparateur décimal 

configuré (une virgule, par défaut). Les notes des questions individuelles utilisent un point décimal. Je crois 
que le patch qui suit résout le souci (testé et ça marche, mais je ne sais pas si ça a d'autres effets).

<pre>
diff -r aff2745868ba AMC-perl/AMC/Export/CSV.pm
--- a/AMC-perl/AMC/Export/CSV.pm	Fri May 22 13:15:02 2015 +0200
+++ b/AMC-perl/AMC/Export/CSV.pm	Thu Jun 18 17:46:06 2015 +0200
@@ -127,7 +127,7 @@
       push @columns,$self->parse_num($m->{'mark'});
 
       for my $q (@questions) {
-	push @columns,$self->{'_scoring'}->question_score(@sc,$q->{'question'});
+	push @columns,$self->parse_num($self->{'_scoring'}->question_score(@sc,$q->{'question'}));
 	if($self->{'out.ticked'}) {
 	  if($self->{'out.ticked'} eq '01') {
 	    push @columns,join(';',$self->{'_capture'}

</pre>

History
07/05/2015 05:59 pm - Alexis Bienvenüe
- Target version set to 1.3.0

07/15/2015 12:48 am - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Resolved

Applied in changeset commit:d94632aaeb30.

01/06/2016 09:31 am - Alexis Bienvenüe
- Status changed from Resolved to Closed

04/20/2024 1/1


